## yorick-ynfft 1.0.2

=== Makefile ===
# Where are the sources? (automatically filled in by configure script)
srcdir=.

# These values filled in by: yorick -batch make.i
Y_MAKEDIR=
Y_EXE=
Y_EXE_PKGS=
Y_EXE_HOME=
Y_EXE_SITE=
Y_HOME_PKG=

# ----------------------------------------------------- optimization flags

# options for make command line, e.g.-   make COPT=-g TGT=exe
COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=yor_nfft
PKG_I=${srcdir}/nfft.i

OBJS=yor_nfft.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=

# set compiler (or rarely loader) flags specific to this package
PKG_CFLAGS=

PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically $(Y_EXE_PKGS) should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# released files and archive name
RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README TODO \
	$(PKG_I) nfft-tests.i yor_nfft.c m3d_nfft.c
RELEASE_NAME = ynfft-$(RELEASE_VERSION).tar.bz2
RELEASE_VERSION = 1.0.2

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

ifeq (,$(strip $(Y_MAKEDIR)))
$(info *** WARNING *** Y_MAKEDIR not defined, you may run 'yorick -batch make.i' first.)
else
include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)
endif

# override macros Makepkg sets for rules and other macros
# see comments in Y_HOME/Makepkg for a list of possibilities

# if this package built with mpy: 1. be sure mpy appears in EXTRA_PKGS,
# 2. set TGT=exe, and 3. uncomment following two lines
# Y_MAIN_O=$(Y_LIBEXE)/mpymain.o
# include $(Y_MAKEDIR)/Makempy

# configure script for this package may produce make macros:
# include output-makefile-from-package-configure

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

%.o: ${srcdir}/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

tests: $(PKG_DLL)
	$(Y_EXE) -batch nfft-tests.i

yor_nfft.o: ${srcdir}/yor_nfft.c ${srcdir}/m3d_nfft.c
	$(CC) -I. -DVERSION=\"$(RELEASE_VERSION)\" $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

release: $(RELEASE_NAME)

$(RELEASE_NAME):
	git checkout master
	@if test "x$(RELEASE_VERSION)" = "x"; then \
	  echo >&2 "set package version:  make RELEASE_VERSION=... archive"; \
	else \
          dir=`basename "$(RELEASE_NAME)" .tar.bz2`; \
	  if test "x$$dir" = "x" -o "x$$dir" = "x."; then \
	    echo >&2 "bad directory name for archive"; \
	  elif test -d "$$dir"; then \
	    echo >&2 "directory $$dir already exists"; \
	  else \
	    mkdir -p "$$dir"; \
	    cp -a $(RELEASE_FILES) "$$dir/."; \
	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
	    rm -rf "$$dir"; \
	    echo "$(RELEASE_NAME) created"; \
	  fi; \
	fi;

.PHONY: clean release tests config

# -------------------------------------------------------- end of Makefile

=== debian/changelog ===
yorick-ynfft (1.0.2-2) unstable; urgency=medium

  * Don't run checks on mips, they take too long.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 02 Apr 2014 12:10:54 +0200

yorick-ynfft (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 28 Mar 2014 16:56:16 +0100

yorick-ynfft (0.0.1-1) unstable; urgency=low

  * Initial upload (Closes: 740728)

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Mar 2014 14:07:54 +0100

=== debian/control ===
Source: yorick-ynfft
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06),
	       libnfft3-dev, libfftw3-dev
Standards-Version: 3.9.5
Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ynfft.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ynfft.git
Homepage: http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yorick/YNFFT

Package: yorick-ynfft
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: nonequispaced fast Fourier transform for Yorick
 YNFFT is a Yorick plug-in around the NFFT library for nonequispaced
 fast Fourier transform. For the usual (equispaced) Fourier transform,
 see the yorick-yeti-fftw package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	/usr/bin/yorick -batch make.i

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)" \
		PKG_DEPLIBS="-lnfft3 -lfftw3" \
		PKG_CFLAGS="" \
		PKG_LDFLAGS=""

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_test:
# tests take too long on the mips buildd
ifeq (,$(filter $(DEB_HOST_ARCH), mips))
	$(MAKE) tests
endif

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick distclean

=== debian/watch ===
version=3
http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yorick/YNFFT .*/ynfft-(\d[\d\.]+)\.tar\.bz2

## yorick-ynfft 1.0.3

=== Makefile ===
--- 
+++ 
@@ -47,9 +47,9 @@
 
 # released files and archive name
 RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README TODO \
-	$(PKG_I) nfft-tests.i yor_nfft.c m3d_nfft.c
-RELEASE_NAME = ynfft-$(RELEASE_VERSION).tar.bz2
-RELEASE_VERSION = 1.0.2
+	nfft.i nfft-tests.i yor_nfft.c m3d_nfft.c
+RELEASE_NAME = ${srcdir}/releases/ynfft-$(RELEASE_VERSION).tar.bz2
+RELEASE_VERSION = 1.0.3
 
 # -------------------------------- standard targets and rules (in Makepkg)
 
@@ -113,7 +113,17 @@
 	    echo >&2 "directory $$dir already exists"; \
 	  else \
 	    mkdir -p "$$dir"; \
-	    cp -a $(RELEASE_FILES) "$$dir/."; \
+	    for file in $(RELEASE_FILES); do \
+              src="${srcdir}/$$file"; \
+	      dst="$$dir/$$file"; \
+	      if test "$$file" = "Makefile"; then \
+	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
+	        touch -r "$$src" "$$dst"; \
+	      else \
+	        cp -p "$$src" "$$dst"; \
+	      fi; \
+	    done; \
+	    rm -f "$$dir"/*~ "$$dir"/*/*~; \
 	    echo "$(RELEASE_VERSION)" > "$$dir/VERSION"; \
 	    tar jcf "$(RELEASE_NAME)" "$$dir"; \
 	    rm -rf "$$dir"; \

=== debian/changelog ===
yorick-ynfft (1.0.3-1) unstable; urgency=low

  * New upstream release:
    + Bug fix: "FTBFS with libnfft version 3.3", thanks to Ghislain Antony
      Vaillant (Closes: #812995).
  * Bump standards version to 3.9.7 (no changes required).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 15 Feb 2016 09:47:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06),
 	       libnfft3-dev, libfftw3-dev
-Standards-Version: 3.9.5
-Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ynfft.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ynfft.git
+Standards-Version: 3.9.7
+Vcs-Git:     https://anonscm.debian.org/git/debian-science/packages/yorick-ynfft.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ynfft.git
 Homepage: http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yorick/YNFFT
 
 Package: yorick-ynfft

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ynfft-$1\.tar\.gz/ \
  https://github.com/emmt/ynfft/tags .*/v?(\d\S*)\.tar\.gz

## yorick-ynfft 1.0.4

=== Makefile ===
--- 
+++ 
@@ -41,15 +41,15 @@
 PKG_CLEAN=
 
 # autoload file for this package, if any
-PKG_I_START=
+PKG_I_START=${srcdir}/nfft-start.i
 # non-pkg.i include files for this package, if any
 PKG_I_EXTRA=
 
 # released files and archive name
-RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README TODO \
-	nfft.i nfft-tests.i yor_nfft.c m3d_nfft.c
+RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README TODO configure \
+                m3d_nfft.c nfft-start.i nfft-tests.i nfft.i yor_nfft.c
 RELEASE_NAME = ${srcdir}/releases/ynfft-$(RELEASE_VERSION).tar.bz2
-RELEASE_VERSION = 1.0.3
+RELEASE_VERSION = 1.0.4
 
 # -------------------------------- standard targets and rules (in Makepkg)

=== debian/changelog ===
yorick-ynfft (1.0.4-2) unstable; urgency=medium

  * Fix SIGFPE in testsuite on s390x and mips64el (new patch SIGFPE).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 23 Aug 2024 16:44:21 +0200

yorick-ynfft (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update control file: depend on debhelper-compat, bump std-vers, update
    vcs-* fields.
  * Bug fix: "please add support for loong64", thanks to wuruilong
    (Closes: #1074312).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 23 Aug 2024 10:35:07 +0200

=== debian/control ===
Source: yorick-ynfft
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.06),
	       libnfft3-dev, libfftw3-dev
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/science-team/yorick-ynfft.git
Vcs-Browser: https://salsa.debian.org/science-team/yorick-ynfft
Homepage: http://cral.univ-lyon1.fr/labo/perso/eric.thiebaut/?Software/Yorick/YNFFT

Package: yorick-ynfft
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Description: nonequispaced fast Fourier transform for Yorick
 YNFFT is a Yorick plug-in around the NFFT library for nonequispaced
 fast Fourier transform. For the usual (equispaced) Fourier transform,
 see the yorick-yeti-fftw package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
DEB_YORICK=/usr/bin/yorick

%:
	dh $@

override_dh_auto_configure: Makefile.dpkg-orig
	./configure --yorick=$(DEB_YORICK)

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_test:
# tests take too long on the mips and loong64 buildd
ifeq (,$(filter $(DEB_HOST_ARCH), loong64 mips))
	$(MAKE) tests
endif

override_dh_auto_clean: Makefile.dpkg-orig
	./configure --deplibs="" --cflags="" --ldflags="" --yorick=$(DEB_YORICK)
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=$(DEB_YORICK) distclean
	mv Makefile.dpkg-orig Makefile

Makefile.dpkg-orig:
	cp Makefile Makefile.dpkg-orig

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ynfft-$1\.tar\.gz/ \
  https://github.com/emmt/ynfft/tags .*/v?(\d\S*)\.tar\.gz
